Summary: Generates function prototypes and variable declarations from C code.
Name: cproto
Version: 4.6
Release: 7mdk
Copyright: Public Domain
Group: Development/C
Url:   http://sourceforge.net/projects/cproto/
Source: http://download.sourceforge.net/cproto/cproto-%{version}.tar.bz2
#Patch: cproto-4.4-gcc.patch
Patch1: cproto-4.6.1.patch.bz2
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root

%description
Cproto generates function prototypes and variable declarations from
C source code.  Cproto can also convert function definitions between the
old style and the ANSI C style.  This conversion will overwrite the
original files, however, so be sure to make a backup copy of your original
files in case something goes wrong.  Since cproto uses a Yacc generated
parser, it shouldn't be confused by complex function definitions as much
as other prototype generators) because it uses a Yacc generated parser.  

Cproto will be useful for C programmers, so install cproto if you are going
to do any C programming.

%prep
%setup -q

%build
CPP="/lib/cpp" ./configure --prefix=/usr --exec-prefix=/usr

%configure --exec-prefix=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
mkdir $RPM_BUILD_ROOT%{_mandir}/man1
mv -f $RPM_BUILD_ROOT%{_mandir}/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README
%{_bindir}/cproto
%{_mandir}/*/cproto.1.bz2

%changelog
* Thu Dec 27 2000 Letoquart Gregory <gletoquart@mandrakesoft.com> 4.6-7mdk
- New ftp & website

* Wed Aug 09 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.6-6mdk
- rebuild for macros Stefan: the patch didn't work ... :-(

* Fri Mar 17 2000 Enzo Maggi <enzo@mandrakesoft.com> 4.6-5mdk
- fixed a bug related to the C preprocessor used (CPP)

* Thu Nov 11 1999 Jeff Garzik <jgarzik@mandrakesoft.com>
- Correct spec filename to version 4.6
- Oxygen release

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- update to 4.6.1 (#1516).
- use %configure

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

